Package com.omnisci.thrift.server

## Class OmniSci.broadcast_serialized_rows_args

- java.lang.Object
- - com.omnisci.thrift.server.OmniSci.broadcast_serialized_rows_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<OmniSci.broadcast_serialized_rows_args>`, `org.apache.thrift.TBase<OmniSci.broadcast_serialized_rows_args,​OmniSci.broadcast_serialized_rows_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  OmniSci

    public static class OmniSci.broadcast_serialized_rows_args
    extends Object
    implements org.apache.thrift.TBase<OmniSci.broadcast_serialized_rows_args,​OmniSci.broadcast_serialized_rows_args._Fields>, Serializable, Cloneable, Comparable<OmniSci.broadcast_serialized_rows_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `OmniSci.broadcast_serialized_rows_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`boolean` `is_final_subquery_result`
`static Map<OmniSci.broadcast_serialized_rows_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`long` `query_id`
`List<TColumnType>` `row_desc`
`TSerializedRows` `serialized_rows`
`long` `subquery_id`

### Constructor Summary

Constructors
`broadcast_serialized_rows_args()`
`broadcast_serialized_rows_args​(OmniSci.broadcast_serialized_rows_args other)` Performs a deep copy on other.
`broadcast_serialized_rows_args​(TSerializedRows serialized_rows, List<TColumnType> row_desc, long query_id, long subquery_id, boolean is_final_subquery_result)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToRow_desc​(TColumnType elem)`
`void` `clear()`
`int` `compareTo​(OmniSci.broadcast_serialized_rows_args other)`
`OmniSci.broadcast_serialized_rows_args` `deepCopy()`
`boolean` `equals​(OmniSci.broadcast_serialized_rows_args that)`
`boolean` `equals​(Object that)`
`OmniSci.broadcast_serialized_rows_args._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(OmniSci.broadcast_serialized_rows_args._Fields field)`
`long` `getQuery_id()`
`List<TColumnType>` `getRow_desc()`
`Iterator<TColumnType>` `getRow_descIterator()`
`int` `getRow_descSize()`
`TSerializedRows` `getSerialized_rows()`
`long` `getSubquery_id()`
`int` `hashCode()`
`boolean` `isIs_final_subquery_result()`
`boolean` `isSet​(OmniSci.broadcast_serialized_rows_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetIs_final_subquery_result()` Returns true if field is_final_subquery_result is set (has been assigned a value) and false otherwise
`boolean` `isSetQuery_id()` Returns true if field query_id is set (has been assigned a value) and false otherwise
`boolean` `isSetRow_desc()` Returns true if field row_desc is set (has been assigned a value) and false otherwise
`boolean` `isSetSerialized_rows()` Returns true if field serialized_rows is set (has been assigned a value) and false otherwise
`boolean` `isSetSubquery_id()` Returns true if field subquery_id is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(OmniSci.broadcast_serialized_rows_args._Fields field, Object value)`
`OmniSci.broadcast_serialized_rows_args` `setIs_final_subquery_result​(boolean is_final_subquery_result)`
`void` `setIs_final_subquery_resultIsSet​(boolean value)`
`OmniSci.broadcast_serialized_rows_args` `setQuery_id​(long query_id)`
`void` `setQuery_idIsSet​(boolean value)`
`OmniSci.broadcast_serialized_rows_args` `setRow_desc​(List<TColumnType> row_desc)`
`void` `setRow_descIsSet​(boolean value)`
`OmniSci.broadcast_serialized_rows_args` `setSerialized_rows​(TSerializedRows serialized_rows)`
`void` `setSerialized_rowsIsSet​(boolean value)`
`OmniSci.broadcast_serialized_rows_args` `setSubquery_id​(long subquery_id)`
`void` `setSubquery_idIsSet​(boolean value)`
`String` `toString()`
`void` `unsetIs_final_subquery_result()`
`void` `unsetQuery_id()`
`void` `unsetRow_desc()`
`void` `unsetSerialized_rows()`
`void` `unsetSubquery_id()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialized_rows

    public TSerializedRows serialized_rows

#### row_desc

    public List<TColumnType> row_desc

#### query_id

    public long query_id

#### subquery_id

    public long subquery_id

#### is_final_subquery_result

    public boolean is_final_subquery_result

#### metaDataMap

    public static final Map<OmniSci.broadcast_serialized_rows_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### broadcast_serialized_rows_args

    public broadcast_serialized_rows_args()

#### broadcast_serialized_rows_args

    public broadcast_serialized_rows_args​(TSerializedRows serialized_rows,
                                          List<TColumnType> row_desc,
                                          long query_id,
                                          long subquery_id,
                                          boolean is_final_subquery_result)

#### broadcast_serialized_rows_args

    public broadcast_serialized_rows_args​(OmniSci.broadcast_serialized_rows_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public OmniSci.broadcast_serialized_rows_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<OmniSci.broadcast_serialized_rows_args,​OmniSci.broadcast_serialized_rows_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<OmniSci.broadcast_serialized_rows_args,​OmniSci.broadcast_serialized_rows_args._Fields>`

#### getSerialized_rows

    public TSerializedRows getSerialized_rows()

#### setSerialized_rows

    public OmniSci.broadcast_serialized_rows_args setSerialized_rows​(TSerializedRows serialized_rows)

#### unsetSerialized_rows

    public void unsetSerialized_rows()

#### isSetSerialized_rows

    public boolean isSetSerialized_rows()

Returns true if field serialized_rows is set (has been assigned a value) and false otherwise

#### setSerialized_rowsIsSet

    public void setSerialized_rowsIsSet​(boolean value)

#### getRow_descSize

    public int getRow_descSize()

#### getRow_descIterator

    public Iterator<TColumnType> getRow_descIterator()

#### addToRow_desc

    public void addToRow_desc​(TColumnType elem)

#### getRow_desc

    public List<TColumnType> getRow_desc()

#### setRow_desc

    public OmniSci.broadcast_serialized_rows_args setRow_desc​(List<TColumnType> row_desc)

#### unsetRow_desc

    public void unsetRow_desc()

#### isSetRow_desc

    public boolean isSetRow_desc()

Returns true if field row_desc is set (has been assigned a value) and false otherwise

#### setRow_descIsSet

    public void setRow_descIsSet​(boolean value)

#### getQuery_id

    public long getQuery_id()

#### setQuery_id

    public OmniSci.broadcast_serialized_rows_args setQuery_id​(long query_id)

#### unsetQuery_id

    public void unsetQuery_id()

#### isSetQuery_id

    public boolean isSetQuery_id()

Returns true if field query_id is set (has been assigned a value) and false otherwise

#### setQuery_idIsSet

    public void setQuery_idIsSet​(boolean value)

#### getSubquery_id

    public long getSubquery_id()

#### setSubquery_id

    public OmniSci.broadcast_serialized_rows_args setSubquery_id​(long subquery_id)

#### unsetSubquery_id

    public void unsetSubquery_id()

#### isSetSubquery_id

    public boolean isSetSubquery_id()

Returns true if field subquery_id is set (has been assigned a value) and false otherwise

#### setSubquery_idIsSet

    public void setSubquery_idIsSet​(boolean value)

#### isIs_final_subquery_result

    public boolean isIs_final_subquery_result()

#### setIs_final_subquery_result

    public OmniSci.broadcast_serialized_rows_args setIs_final_subquery_result​(boolean is_final_subquery_result)

#### unsetIs_final_subquery_result

    public void unsetIs_final_subquery_result()

#### isSetIs_final_subquery_result

    public boolean isSetIs_final_subquery_result()

Returns true if field is_final_subquery_result is set (has been assigned a value) and false otherwise

#### setIs_final_subquery_resultIsSet

    public void setIs_final_subquery_resultIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(OmniSci.broadcast_serialized_rows_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<OmniSci.broadcast_serialized_rows_args,​OmniSci.broadcast_serialized_rows_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(OmniSci.broadcast_serialized_rows_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<OmniSci.broadcast_serialized_rows_args,​OmniSci.broadcast_serialized_rows_args._Fields>`

#### isSet

    public boolean isSet​(OmniSci.broadcast_serialized_rows_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<OmniSci.broadcast_serialized_rows_args,​OmniSci.broadcast_serialized_rows_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(OmniSci.broadcast_serialized_rows_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(OmniSci.broadcast_serialized_rows_args other)

Specified by:
  `compareTo` in interface `Comparable<OmniSci.broadcast_serialized_rows_args>`

#### fieldForId

    public OmniSci.broadcast_serialized_rows_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<OmniSci.broadcast_serialized_rows_args,​OmniSci.broadcast_serialized_rows_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`